<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Storage;
use Auth;
use App\User;
use App\CategoriesFilter;
use App\Product;
use App\Variant;
use App\ProductLog;
use App\ProductUpdateLog;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\Hash;

class CronJobController extends Controller
{
    public function create(Request $request)
    {
        /* init settings */
        ini_set('memory_limit', '-1');
        set_time_limit(0);

        /* Get user filters */
        if(!empty($request->userId))
        {
            $user = User::find($request->userId);
        }
        else
        {
            return response()->json(['status' => 'false', 'message' => "Please Select a appp user first."]);
        }

        $price_key      = 0;
        $quantity_key   = 0;
        $less_price     = 0;
        $greater_price  = 0;

        if (isset($user->filters) && count($user->filters) > 0)
        {
            foreach ($user->filters as $filter)
            {
                if($filter->key == 'price_key')
                {
                    $price_key = $filter->value;
                }
                else if($filter->key == 'quantity_key')
                {
                    $quantity_key = $filter->value;
                }
                else if($filter->key == 'less_price')
                {
                    $less_price = $filter->value;
                }
                else if($filter->key == 'greater_price')
                {
                    $greater_price = $filter->value;
                }
            }
        }
        else
        {
            return response()->json(['status' => 'true', 'message' => "Currently Client filters not selected."]);
        }

        /* Get Categories Filters */
        $categoriesFilter = CategoriesFilter::where('user_id',$user->id)->get();
        if(count($categoriesFilter) > 0 && !empty($categoriesFilter))
        {
            foreach ($categoriesFilter as $key => $filter) 
            {
                $catProducts = getCatProducts($filter->av_id);
                if($catProducts && isset($catProducts->products))
                {
                    foreach ($catProducts->products as $key => $product) 
                    {
                        $productObj = Product::where('av_id', $product->id)->where('user_id', $user->id)->first();
                        if($productObj)
                        {
                            continue;
                        }
                        else
                        {
                            $productData = array();
                            $desc        = '';
                            if($product->tierprice[0]->price <= $less_price && $product->tierprice[0]->price >= $greater_price && $product->stock_quantity >= $quantity_key)
                            {
                                $new_price = $product->tierprice[0]->price * $price_key;
                                $desc      = '<p>';
                                // $desc     .= 'JewelleryType:'.str_replace("\n", '', $product->JewelleryType);
                                // $desc     .= "<br>";

                                // if($product->RingType)
                                // {
                                //     $desc .= 'RingType:'.$product->RingType;
                                //     $desc .= "<br>";
                                // }
                                // if($product->RingSize)
                                // {
                                //     $desc .= 'RingSize:'.$product->RingSize;
                                //     $desc .= "<br>";
                                // }
                            
                                foreach ($product->specificationattributes as $key => $value) 
                                {
                                    $desc .= $value->specification_attribute_name.': '.$value->specification_attribute_value;
                                    $desc     .= "<br>";
                                }
                                $desc     .= "</p>";

                                if(count($product->attributes) > 0 && isset($product->JewelleryType) && strtolower($product->JewelleryType) == 'ring')
                                {
                                    $ringSize = array();
                                    foreach ($product->attributes[0]->attribute_values as $key => $attribute_value) 
                                    {
                                        $ringSize[] = array("value" => $attribute_value->name, "description" => $attribute_value->name); 
                                    }

                                    $productData["product"] = array("name" => $product->name, 
                                                                "productType" => "physical",
                                                                "priceData"   => array("price" => $new_price),
                                                                "stock"       => array("trackInventory" => true, "quantity" => $product->stock_quantity, "inStock" => true),
                                                                "description" => $desc,
                                                                "sku"         => $product->sku,
                                                                "visible"     => true,
                                                                "weight"      => $product->weight,
                                                                "manageVariants" => true,
                                                                "productOptions" => array(array("name" => "Size", "choices" => $ringSize))
                                                            );
                                }
                                else
                                {
                                    $productData["product"] = array("name" => $product->name, 
                                                                "productType" => "physical",
                                                                "priceData"   => array("price" => $new_price),
                                                                "stock"       => array("trackInventory" => true, "quantity" => $product->stock_quantity, "inStock" => true),
                                                                "description" => $desc,
                                                                "sku"         => $product->sku,
                                                                "visible"     => true,
                                                                "weight"      => $product->weight
                                                            );
                                }

                                $postData = json_encode($productData);

                                //create a product log on every product.
                                $productLog = new ProductLog;
                                $productLog->user_id = $user->id;
                                $productLog->av_product_id  = $product->id;
                                $productLog->category_id    = $filter->av_id;
                                $productLog->name           = $product->name;
                                $productLog->price          = $new_price;
                                $productLog->sku            = $product->sku;
                                $productLog->stock_quantity = $product->stock_quantity;
                                $productLog->action         = 'Sync product';
                                $productLog->save();

                                /* Create a product on wix store. */
                                $productCreateAPI = 'www.wixapis.com/stores/v1/products';
                                $productResponse  = wixCall($user->id, $productCreateAPI, 'POST', $postData);

                                /*Create a Product Media on wix store. */
                                if(!empty($productResponse) && isset($productResponse->product))
                                {
                                    $imageArray = array();
                                    foreach ($product->images as $key => $image) 
                                    {
                                        $imageArray[] = array("url" => $image->src);
                                    }
                                    $mediaData = array();
                                    $mediaData["media"] = $imageArray;
                                    $mediaData = json_encode($mediaData);

                                    $mediaCreateAPI = 'www.wixapis.com/stores/v1/products/'.$productResponse->product->id.'/media';
                                    $mediaResponse  = wixCall($user->id, $mediaCreateAPI, 'POST', $mediaData);

                                    $productObj = new Product;
                                    $productObj->user_id = $user->id;
                                    $productObj->av_id   = $product->id;
                                    $productObj->wix_id  = $productResponse->product->id;
                                    $productObj->inventoryItemId = $productResponse->product->inventoryItemId;
                                    $productObj->category_id     = $filter->av_id;
                                    $productObj->name            = $productResponse->product->name;
                                    $productObj->slug            = $productResponse->product->slug;
                                    $productObj->av_price        = $product->tierprice[0]->price;
                                    $productObj->wix_price       = $new_price;
                                    $productObj->sku             = $product->sku;
                                    $productObj->description     = $productResponse->product->description;
                                    $productObj->weight          = $product->weight;
                                    $productObj->stock_quantity  = $product->stock_quantity;
                                    $productObj->image           = $product->images[0]->src;
                                    $productObj->save();

                                    if(count($productResponse->product->variants) > 1)
                                    {
                                        foreach ($productResponse->product->variants as $key => $variant) 
                                        {
                                            $variantObj = new Variant;
                                            $variantObj->product_id =  $productObj->id;
                                            $variantObj->wix_id     =  $variant->id;
                                            $variantObj->wix_price  =  $new_price;
                                            $variantObj->size       =  $variant->choices->Size;
                                            $variantObj->save();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        else
        {
            return response()->json(['status' => 'true', 'message' => "Currently Client category filters not selected."]);
        }
        return response()->json(['status' => 'true', 'message' => "Products successfully synced on Wix Store."]);
    }

    public function productsUpdate(Request $request)
    {
        /* init settings */
        ini_set('memory_limit', '-1');
        set_time_limit(0);

        /* Get user filters */
        if(!empty($request->userId))
        {
            $user = User::find($request->userId);
        }
        else
        {
            return response()->json(['status' => 'false', 'message' => "Please Select a appp user first."]);
        }

        $price_key      = 0;
        $quantity_key   = 0;
        $less_price     = 0;
        $greater_price  = 0;

        if (isset($user->filters) && count($user->filters) > 0)
        {
            foreach ($user->filters as $filter)
            {
                if($filter->key == 'price_key')
                {
                    $price_key = $filter->value;
                }
                else if($filter->key == 'quantity_key')
                {
                    $quantity_key = $filter->value;
                }
                else if($filter->key == 'less_price')
                {
                    $less_price = $filter->value;
                }
                else if($filter->key == 'greater_price')
                {
                    $greater_price = $filter->value;
                }
            }
        }
        else
        {
            return response()->json(['status' => 'true', 'message' => "Currently Client filters not selected."]);
        }

        /* Get Products Update */
        $getProductsUpdate = getProductsUpdate();
        if($getProductsUpdate && isset($getProductsUpdate->products))
        {
            foreach ($getProductsUpdate->products as $key => $product) 
            {
                $productObj = Product::where('av_id', $product->id)->where('user_id', $user->id)->first();
                if($productObj && !empty($productObj))
                {
                    if($product->stock_quantity < $quantity_key)
                    {
                        /* Delete a product on wix store. */
                        $productDeleteAPI = 'www.wixapis.com/stores/v1/products/'.$productObj->wix_id;
                        $productResponse  = wixCall($user->id, $productDeleteAPI, 'DELETE');

                        if(empty($productResponse))
                        {
                            $variants = Variant::where('product_id', $productObj->id)->get();

                            /* Delete product Variant if avaliable */
                            if($variants)
                            {
                                foreach ($variants as $key => $variantObj) 
                                {
                                    $variantObj->delete();
                                }
                            }

                            $productUpdateLog = new ProductUpdateLog;
                            $productUpdateLog->user_id = $user->id;
                            $productUpdateLog->product_id = $productObj->id;
                            $productUpdateLog->av_product_id = $productObj->av_id;
                            $productUpdateLog->category_id = $productObj->category_id;
                            $productUpdateLog->name = $productObj->name;
                            $productUpdateLog->price = $productObj->wix_price;
                            $productUpdateLog->sku = $productObj->sku;
                            $productUpdateLog->stock_quantity = $product->stock_quantity;
                            $productUpdateLog->action = 'Deleted Product';
                            $productUpdateLog->save();

                            /* Delete product on app */
                            $productObj->delete();
                        }
                    }
                    else
                    {
                        $productData = array();
                        $desc        = '';
                        if($product->tierprice[0]->price <= $less_price && $product->tierprice[0]->price >= $greater_price && $product->stock_quantity >= $quantity_key)
                        {
                            $new_price = $product->tierprice[0]->price * $price_key;
                            $desc      = '<p>';
                            // $desc     .= 'JewelleryType:'.str_replace("\n", '', $product->JewelleryType);
                            // $desc     .= "<br>";
                            // if($product->RingType)
                            // {
                            //     $desc .= 'RingType:'.$product->RingType;
                            //     $desc .= "<br>";
                            // }
                            // if($product->RingSize)
                            // {
                            //     $desc .= 'RingSize:'.$product->RingSize;
                            //     $desc .= "<br>";
                            // }
                        
                            foreach ($product->specificationattributes as $key => $value) 
                            {
                                $desc .= $value->specification_attribute_name.': '.$value->specification_attribute_value;
                                $desc     .= "<br>";
                            }
                            $desc     .= "</p>";
                            if(count($product->attributes) > 0 && isset($product->JewelleryType)  && strtolower($product->JewelleryType) == 'ring')
                            {
                                $ringSize = array();
                                foreach ($product->attributes[0]->attribute_values as $key => $attribute_value) 
                                {
                                    $ringSize[] = array("value" => $attribute_value->name, "description" => $attribute_value->name); 
                                }
                                $productData["product"] = array("name" => $product->name, 
                                                            "productType" => "physical",
                                                            "priceData"   => array("price" => $new_price),
                                                            "stock"       => array("trackInventory" => true, "quantity" => $product->stock_quantity, "inStock" => true),
                                                            "description" => $desc,
                                                            "sku"         => $product->sku,
                                                            "visible"     => true,
                                                            "weight"      => $product->weight,
                                                            "manageVariants" => true,
                                                            "productOptions" => array(array("name" => "Size", "choices" => $ringSize))
                                                        );
                            }
                            else
                            {
                                $productData["product"] = array("name" => $product->name, 
                                                            "productType" => "physical",
                                                            "priceData"   => array("price" => $new_price),
                                                            "stock"       => array("trackInventory" => true, "quantity" => $product->stock_quantity, "inStock" => true),
                                                            "description" => $desc,
                                                            "sku"         => $product->sku,
                                                            "visible"     => true,
                                                            "weight"      => $product->weight
                                                        );
                            }
                            $postData = json_encode($productData);

                            //create a product log on every product.
                            $productUpdateLog = new ProductUpdateLog;
                            $productUpdateLog->user_id = $user->id;
                            $productUpdateLog->product_id = $productObj->id;
                            $productUpdateLog->av_product_id = $productObj->av_id;
                            $productUpdateLog->category_id = $productObj->category_id;
                            $productUpdateLog->name = $product->name;
                            $productUpdateLog->price = $new_price;
                            $productUpdateLog->sku = $product->sku;
                            $productUpdateLog->stock_quantity = $product->stock_quantity;
                            $productUpdateLog->action = 'Updated Product';
                            $productUpdateLog->save();

                            /* Create a product on wix store. */
                            $productCreateAPI = 'www.wixapis.com/stores/v1/products/'.$productObj->wix_id;
                            $productResponse  = wixCall($user->id, $productCreateAPI, 'POST', $postData);

                            /*Create a Product Media on wix store. */
                            if(!empty($productResponse) && isset($productResponse->product))
                            {
                                $productObj->name            = $productResponse->product->name;
                                $productObj->slug            = $productResponse->product->slug;
                                $productObj->av_price        = $product->tierprice[0]->price;
                                $productObj->wix_price       = $new_price;
                                $productObj->sku             = $product->sku;
                                $productObj->description     = $productResponse->product->description;
                                $productObj->weight          = $product->weight;
                                $productObj->stock_quantity  = $product->stock_quantity;
                                $productObj->image           = $product->images[0]->src;
                                $productObj->update();

                                if(count($productResponse->product->variants) > 1)
                                {
                                    $variants = Variant::where('product_id', $productObj->id)->get();

                                    /* Delete product Variant if avaliable */
                                    if($variants)
                                    {
                                        foreach ($variants as $key => $variantObj) 
                                        {
                                            $variantObj->delete();
                                        }
                                    }

                                    foreach ($productResponse->product->variants as $key => $variant) 
                                    {
                                        $variantObj = new Variant;
                                        $variantObj->product_id =  $productObj->id;
                                        $variantObj->wix_id     =  $variant->id;
                                        $variantObj->wix_price  =  $new_price;
                                        $variantObj->size       =  $variant->choices->Size;
                                        $variantObj->save();
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        return response()->json(['status' => 'true', 'message' => "Products successfully Updated on Wix Store."]);
    }

    public function productsRemove(Request $request)
    {
        /* init settings */
        ini_set('memory_limit', '-1');
        set_time_limit(0);

        /* Get user filters */
        $userRole    = hasRole();
        if($userRole == 'Admin' && !empty($request->userId))
        {
            $user = User::find($request->userId);
        }
        else
        {
            $user = Auth::user();
        }
        
        $products = Product::where('user_id', $user->id)->get();
        if($products)
        {
            foreach ($products as $key => $productObj) 
            {
                /* Delete a product on wix store. */
                $productDeleteAPI = 'www.wixapis.com/stores/v1/products/'.$productObj->wix_id;
                $productResponse  = wixCall($user->id, $productDeleteAPI, 'DELETE');
                if(empty($productResponse))
                {
                    $variants = Variant::where('product_id', $productObj->id)->get();
                    /* Delete product Variant if avaliable */
                    if($variants)
                    {
                        foreach ($variants as $key => $variantObj) 
                        {
                            $variantObj->delete();
                        }
                    }

                    $productUpdateLog = new ProductUpdateLog;
                    $productUpdateLog->user_id = $user->id;
                    $productUpdateLog->product_id = $productObj->id;
                    $productUpdateLog->av_product_id = $productObj->av_id;
                    $productUpdateLog->category_id = $productObj->category_id;
                    $productUpdateLog->name = $productObj->name;
                    $productUpdateLog->price = $productObj->wix_price;
                    $productUpdateLog->sku = $productObj->sku;
                    $productUpdateLog->stock_quantity = $productObj->stock_quantity;
                    $productUpdateLog->action = 'Deleted Product';
                    $productUpdateLog->save();
                    /* Delete product on app */
                    $productObj->delete();
                }
            }
        }
        return response()->json(['status' => 'true', 'message' => "Products successfully Deleted on Wix Store and also app."]);
    }

    /* Inventory  Rechack cron*/
    public function productsRecheck(Request $request)
    {
        /* init settings */
        ini_set('memory_limit', '-1');
        set_time_limit(0);

        /* Get user filters */
        if(!empty($request->userId))
        {
            $user = User::find($request->userId);
        }
        else
        {
            return response()->json(['status' => 'false', 'message' => "Please Select a appp user first."]);
        }

        $price_key      = 0;
        $quantity_key   = 0;
        $less_price     = 0;
        $greater_price  = 0;

        if (isset($user->filters) && count($user->filters) > 0)
        {
            foreach ($user->filters as $filter)
            {
                if($filter->key == 'price_key')
                {
                    $price_key = $filter->value;
                }
                else if($filter->key == 'quantity_key')
                {
                    $quantity_key = $filter->value;
                }
                else if($filter->key == 'less_price')
                {
                    $less_price = $filter->value;
                }
                else if($filter->key == 'greater_price')
                {
                    $greater_price = $filter->value;
                }
            }
        }
        else
        {
            return response()->json(['status' => 'true', 'message' => "Currently Client filters not selected."]);
        }

        /* Get Products form app */
        $products = Product::where('user_id', $user->id)->get();
        if($products && count($products) > 0)
        {
            foreach ($products as $key => $product) 
            {
                $request_url    = "https://avdiamond.com/api/products?ids=".$product->av_id;
                $productObj     = getSpecificProduct($request_url);
                if(isset($productObj->products) && count($productObj->products) > 0)
                {
                    if($productObj->products[0]->stock_quantity < $quantity_key)
                    {
                        /* Delete a product on wix store. */
                        $productDeleteAPI = 'www.wixapis.com/stores/v1/products/'.$product->wix_id;
                        $productResponse  = wixCall($user->id, $productDeleteAPI, 'DELETE');

                        if(empty($productResponse))
                        {
                            $variants = Variant::where('product_id', $product->id)->get();

                            /* Delete product Variant if avaliable */
                            if($variants)
                            {
                                foreach ($variants as $key => $variantObj) 
                                {
                                    $variantObj->delete();
                                }
                            }

                            $productUpdateLog = new ProductUpdateLog;
                            $productUpdateLog->user_id       = $user->id;
                            $productUpdateLog->product_id    = $product->id;
                            $productUpdateLog->av_product_id = $product->av_id;
                            $productUpdateLog->category_id   = $product->category_id;
                            $productUpdateLog->name          = $product->name;
                            $productUpdateLog->price         = $product->wix_price;
                            $productUpdateLog->sku           = $product->sku;
                            $productUpdateLog->stock_quantity = $productObj->products[0]->stock_quantity;
                            $productUpdateLog->action        = 'Deleted Product';
                            $productUpdateLog->save();

                            /* Delete product on app */
                            $product->delete();
                        }
                        else
                        {
                            $variants = Variant::where('product_id', $product->id)->get();

                            /* Delete product Variant if avaliable */
                            if($variants)
                            {
                                foreach ($variants as $key => $variantObj) 
                                {
                                    $variantObj->delete();
                                }
                            }

                            $productUpdateLog = new ProductUpdateLog;
                            $productUpdateLog->user_id       = $user->id;
                            $productUpdateLog->product_id    = $product->id;
                            $productUpdateLog->av_product_id = $product->av_id;
                            $productUpdateLog->category_id   = $product->category_id;
                            $productUpdateLog->name          = $product->name;
                            $productUpdateLog->price         = $product->wix_price;
                            $productUpdateLog->sku           = $product->sku;
                            $productUpdateLog->stock_quantity = $product->stock_quantity;
                            $productUpdateLog->action        = 'Deleted Product';
                            $productUpdateLog->save();

                            /* Delete product on app */
                            $product->delete();
                        }
                    }
                    else
                    {
                        $productData = array();
                        $desc        = '';
                        if($productObj->products[0]->tierprice[0]->price <= $less_price && $productObj->products[0]->tierprice[0]->price >= $greater_price && $productObj->products[0]->stock_quantity >= $quantity_key)
                        {
                            $new_price = $productObj->products[0]->tierprice[0]->price * $price_key;
                            $desc      = '<p>';
                            // $desc     .= 'JewelleryType:'.str_replace("\n", '', $productObj->products[0]->JewelleryType);
                            // $desc     .= "<br>";
                            // if($productObj->products[0]->RingType)
                            // {
                            //     $desc .= 'RingType:'.$productObj->products[0]->RingType;
                            //     $desc .= "<br>";
                            // }
                            // if($productObj->products[0]->RingSize)
                            // {
                            //     $desc .= 'RingSize:'.$productObj->products[0]->RingSize;
                            //     $desc .= "<br>";
                            // }
                        
                            foreach ($productObj->products[0]->specificationattributes as $key => $value) 
                            {
                                $desc .= $value->specification_attribute_name.': '.$value->specification_attribute_value;
                                $desc     .= "<br>";
                            }
                            $desc     .= "</p>";
                            if(count($productObj->products[0]->attributes) > 0 && strtolower($productObj->products[0]->JewelleryType) == 'ring')
                            {
                                $ringSize = array();
                                foreach ($productObj->products[0]->attributes[0]->attribute_values as $key => $attribute_value) 
                                {
                                    $ringSize[] = array("value" => $attribute_value->name, "description" => $attribute_value->name); 
                                }
                                $productData["product"] = array("name" => $productObj->products[0]->name, 
                                                            "productType" => "physical",
                                                            "priceData"   => array("price" => $new_price),
                                                            "stock"       => array("trackInventory" => true, "quantity" => $productObj->products[0]->stock_quantity, "inStock" => true),
                                                            "description" => $desc,
                                                            "sku"         => $productObj->products[0]->sku,
                                                            "visible"     => true,
                                                            "weight"      => $productObj->products[0]->weight,
                                                            "manageVariants" => true,
                                                            "productOptions" => array(array("name" => "Size", "choices" => $ringSize))
                                                        );
                            }
                            else
                            {
                                $productData["product"] = array("name" => $productObj->products[0]->name, 
                                                            "productType" => "physical",
                                                            "priceData"   => array("price" => $new_price),
                                                            "stock"       => array("trackInventory" => true, "quantity" => $productObj->products[0]->stock_quantity, "inStock" => true),
                                                            "description" => $desc,
                                                            "sku"         => $productObj->products[0]->sku,
                                                            "visible"     => true,
                                                            "weight"      => $productObj->products[0]->weight
                                                        );
                            }
                            $postData = json_encode($productData);

                            //create a product log on every product.
                            $productUpdateLog = new ProductUpdateLog;
                            $productUpdateLog->user_id = $user->id;
                            $productUpdateLog->product_id = $product->id;
                            $productUpdateLog->av_product_id = $product->av_id;
                            $productUpdateLog->category_id = $product->category_id;
                            $productUpdateLog->name = $productObj->products[0]->name;
                            $productUpdateLog->price = $new_price;
                            $productUpdateLog->sku = $productObj->products[0]->sku;
                            $productUpdateLog->stock_quantity = $productObj->products[0]->stock_quantity;
                            $productUpdateLog->action = 'Updated Product';
                            $productUpdateLog->save();

                            /* Update a product on wix store. */
                            $productCreateAPI = 'www.wixapis.com/stores/v1/products/'.$product->wix_id;
                            $productResponse  = wixCall($user->id, $productCreateAPI, 'POST', $postData);

                            /*update a Product Media on wix store. */
                            if(!empty($productResponse) && isset($productResponse->product))
                            {
                                $product->name            = $productResponse->product->name;
                                $product->slug            = $productResponse->product->slug;
                                $product->av_price        = $productObj->products[0]->tierprice[0]->price;
                                $product->wix_price       = $new_price;
                                $product->sku             = $productObj->products[0]->sku;
                                $product->description     = $productResponse->product->description;
                                $product->weight          = $productObj->products[0]->weight;
                                $product->stock_quantity  = $productObj->products[0]->stock_quantity;
                                $product->image           = $productObj->products[0]->images[0]->src;
                                $product->update();

                                if(count($productResponse->product->variants) > 1)
                                {
                                    $variants = Variant::where('product_id', $product->id)->get();

                                    /* Delete product Variant if avaliable */
                                    if($variants)
                                    {
                                        foreach ($variants as $key => $variantObj) 
                                        {
                                            $variantObj->delete();
                                        }
                                    }

                                    foreach ($productResponse->product->variants as $key => $variant) 
                                    {
                                        $variantObj = new Variant;
                                        $variantObj->product_id =  $product->id;
                                        $variantObj->wix_id     =  $variant->id;
                                        $variantObj->wix_price  =  $new_price;
                                        $variantObj->size       =  $variant->choices->Size;
                                        $variantObj->save();
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        return response()->json(['status' => 'true', 'message' => "Products inventory Updated on Wix Store."]);
    }
    
    /* Password hash make */
    public function passwordHash(Request $request)
    {
        if($request->password)
        {
            $password = Hash::make($request->password);
            print_r($password);exit; 
        }else{
            echo "please send a password into get request with password name";
        }
    }
    
    /* User id encrypted */
    public function usesrIdEncrypt(Request $request)
    {
        if($request->user_id)
        {
            $state = Crypt::encrypt($request->user_id);
            print_r($state);exit; 
        }else{
            echo "please send a user id into get request with user_id";
        }
    }
    
}
