<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class CheckStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if(Auth::user())
        {
            $hasrole = hasRole();
            if(Auth::user()->status == 0 && $hasrole != 'Admin') 
            {
                Auth::logout();
                $activation = true;
                Session::flash('activation', $activation);
                return redirect('/login');
            }
            else
            {
                return $next($request);
            }
        }
        return $next($request);
    }
}
