<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTokenToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->text('token')->after('subscription_id')->nullable();
            $table->text('auth_code')->after('token')->nullable();
            $table->text('instanceId')->after('auth_code')->nullable();
            $table->text('access_token')->after('instanceId')->nullable();
            $table->text('refresh_token')->after('access_token')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('token');
            $table->dropColumn('auth_code');
            $table->dropColumn('instanceId');
            $table->dropColumn('access_token');
            $table->dropColumn('refresh_token');
        });
    }
}
