<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id');
            $table->bigInteger('av_id');
            $table->string('wix_id', 255);
            $table->string('inventoryItemId', 255);
            $table->integer('category_id');
            $table->string('name', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('av_price')->nullable();
            $table->string('wix_price')->nullable();
            $table->string('sku')->nullable();
            $table->text('description')->nullable();
            $table->string('weight')->nullable();
            $table->string('stock_quantity')->nullable();
            $table->text('image')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
