@extends('layouts.auth.master')

@section('page_css')
@endsection

@section('content')
<div class="card bg-secondary border-0 mb-0">
    <div class="card-body px-lg-4 py-lg-4">
        <div class="text-center text-muted mb-4">
            {{ __('Register') }}
        </div>

        @if (count($errors) > 0)
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                @foreach ($errors->all() as $error)
                    <span class="alert-icon"><i class="ni ni-fat-remove"></i></span>
                    <span class="alert-text"><strong>Error! </strong>{{ $error }}</span>
                @endforeach
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
        @endif
        @php
            $token = \Request::get('token');
        @endphp
        <form role="form" class="needs-validation @if (count($errors) > 0) was-validated @endif" action="{{ route('register') }}" method="POST">
            @csrf

            @if ($token)
                <input type="hidden" name="wix_token" id="wix_token" value="{{$token}}">
            @endif
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="first_name">First Name</label>
                    <input type="text" class="form-control @error('name') is-invalid @enderror" id="first_name"  name="first_name" placeholder="First Name" required>
                    @error('first_name')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="last_name">Last Name</label>
                    <input type="text" class="form-control" id="last_name"  name="last_name" placeholder="Last Name" required>
                    @error('last_name')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="email">Email</label>
                    <input type="email" name="email" id="email" placeholder="Email" class="form-control" required autocomplete="email">
                    @error('email')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="phone">Phone</label>
                    <input type="text" name="phone" id="phone" placeholder="Phone" class="form-control" required>
                    @error('phone')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-8 mb-3">
                    <label class="form-control-label" for="address">Address</label>
                    <input type="text" name="address" id="address" placeholder="Street Address" class="form-control" required>
                    @error('address')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-4 mb-3">
                    <label class="form-control-label" for="zip">Zip Code</label>
                    <input type="text" name="zip" id="zip" placeholder="Zip Code" class="form-control" required>
                    @error('zip')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="unit">Unit</label>
                    <input type="text" name="unit" id="unit" placeholder="Unit" class="form-control" required>
                    @error('unit')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="company">Company</label>
                    <input type="text" name="company" id="company" placeholder="company" class="form-control" required>
                    @error('company')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="unit">Country</label>
                    @php
                        $countries = countries();
                    @endphp
                    <select class="form-control" data-toggle="select" name="country" id="country" onchange="states(this)">
                        <option></option>
                        @foreach ($countries as $country)
                            <option value="{{$country->name}}">{{$country->name}}</option>
                        @endforeach
                    </select>
                    @error('country')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="state">State</label>
                    <select class="form-control" data-toggle="select" name="state" id="state" onchange="cities(this)">
                        <option></option>
                    </select>
                    @error('state')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="city">City</label>
                    <select class="form-control" data-toggle="select" name="city" id="city">
                        <option></option>
                    </select>
                    @error('city')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <input type="hidden" class="form-control" name="account_type" id="account_type" value="client">
                {{-- <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="account_type">Account Type</label>
                    <select class="form-control" data-toggle="select" name="account_type" id="account_type">
                        <option>Select a Account Type</option>
                        <option value="Wholesaler">Wholesaler</option>
						<option value="Retailer">Retailer</option>
                    </select>
                    @error('account_type')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div> --}}
            </div>
            <div class="form-row">
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="password">Password</label>
                    <input type="password" name="password" placeholder="Password" class="form-control" required autocomplete="new-password">
                    @error('Password')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-md-6 mb-3">
                    <label class="form-control-label" for="password_confirmation">Confirm Password</label>
                    <input type="password" name="password_confirmation" placeholder="Confirm Password" class="form-control" required autocomplete="new-password">
                    @error('password_confirmation')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
            </div>
            <div class="text-center">
                <button type="submit" class="btn btn-primary my-4">
                    <span class="signin">
                        {{ __('Register') }}
                    </span>
                </button>
            </div>
        </form>
    </div>
</div>
@endsection

@section('page_js')
<script>
    $( document ).ready(function() {

        //assigne Country dropdown place holder 
        $("#country").select2({
            placeholder: "Select a Country",
            allowClear: true
        });

        //assigne State dropdown place holder
        $("#state").select2({
            placeholder: "Select a State",
            allowClear: true
        });

        //assigne City dropdown place holder
        $("#city").select2({
            placeholder: "Select a City",
            allowClear: true
        });
    });

    //get states agains selectd countery.
    function states(obj)
    {
        var url = "{!!url('/load-states')!!}";
        $.ajax({
            type:'POST',
            url:url,
            data:{ 'country': obj.value, '_token': '{{ csrf_token() }}'},
            dataType:'json',
            success:function(data){
                if(data.status == true)
                {
                    $('#state').html(data.html);
                };
            },
            error:function(data){
                if(data.status == 'false')
                {
                }
            }
        });
    }

    //get Cities agains selectd State.
    function cities(obj)
    {
        var url = "{!!url('/load-cities')!!}";
        $.ajax({
            type:'POST',
            url:url,
            data:{ 'state': obj.value, '_token': '{{ csrf_token() }}'},
            dataType:'json',
            success:function(data){
                if(data.status == true)
                {
                    $('#city').html(data.html);
                };
            },
            error:function(data){
                if(data.status == 'false')
                {
                }
            }
        });
    }
</script>
@endsection
