<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <!--Meta tags-->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="robots" content="none" />
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="{{ get_setting("admin.description") }}">
    <meta name="author" content="Muhammad Usman Raoof | 03468419864 | usmanraoofsdk@gmail.com">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    
    <!--App Header start here-->
    @include('layouts.auth.header')
    <!--App Header End here-->

    <!-- Page plugins -->
    @yield('page_css')
</head>
<body class="bg-default">

    <!--App Navbar start here-->
    @include('layouts.auth.topbar')
    <!--App Navbar End here-->

    <!-- Main content -->
    <div class="main-content">
        <!-- Header -->
        <div class="header bg-gradient-primary py-7 py-lg-8 pt-lg-9">
            <div class="container">
                <div class="header-body mr--3">
                    <div class="row justify-content-center">
                        <div class="col-xl-5 col-lg-6 col-md-8 text-center">
                            <h1 class="text-white">{{ get_setting('admin.title') }}</h1>
                            <p class="text-lead text-white">{{ get_setting('admin.description') }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="separator separator-bottom separator-skew zindex-100">
                <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg">
                    <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
                </svg>
            </div>
        </div>
        <!-- Page content -->
        <div class="container mt--8 pb-5">
            <div class="row justify-content-center">
                @if (\Request::segment(1) == 'register')
                <div class="col-lg-8 col-md-10">
                @else
                <div class="col-lg-5 col-md-7">
                @endif

                    @yield('content')
                    
                    <div class="row mt-3">
                        <div class="col-6">
                            <a href="{{ route('password.request') }}" class="text-light"><small>{{ __('Forgot Your Password?') }}</small></a>
                        </div>
                        {{-- <div class="col-6 text-right">
                            <a href="{{ route('register') }}" class="text-light"><small>Create new account</small></a>
                        </div> --}}
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!--App Footer start here-->
    @include('layouts.auth.footer')
    <!--App Footer End here-->

    <!--App Footer start here-->
    @include('layouts.auth.script')
    <!--App Footer End here-->

    @yield('page_js')
</body>
</html>
