<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <!--Meta tags-->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="robots" content="none" />
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="{{ get_setting("admin.description") }}">
    <meta name="author" content="Muhammad Usman Raoof | 03468419864 | usmanraoofsdk@gmail.com">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    
    <!--App Header start here-->
    @include('layouts.auth.header')
    <!--App Header End here-->

    <!-- Page plugins -->
    @yield('page_css')
</head>
<body class="bg-default">

    <!--App Navbar start here-->
    @include('layouts.auth.topbar')
    <!--App Navbar End here-->

    <!-- Main content -->
    <div class="main-content">
        <!-- Header -->
        <div class="header bg-gradient-primary py-7 py-lg-8 pt-lg-9">
            <div class="container">
                <div class="header-body text-center mb-7">
                    <div class="row justify-content-center">
                        <div class="col-xl-5 col-lg-6 col-md-8">
                            <h1 class="text-white">{{ get_setting('admin.subscription_title') }}</h1>
                        </div>
                    </div>
                </div>
            </div>
            <div class="separator separator-bottom separator-skew zindex-100">
                <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg">
                    <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
                </svg>
            </div>
        </div>
        <!-- Page content -->
        <div class="container mt--8 pb-5">
            <div class="row justify-content-center">
                <div class="col-lg-10">

                    @yield('content')
                    
                </div>
            </div>
            <div class="row row-grid justify-content-center">
                <div class="col-lg-10">
                  <div class="table-responsive">
                    <table class="table table-dark mt-5">
                      <thead>
                        <tr>
                          <th class="px-0 bg-transparent" scope="col">
                            <span class="text-light font-weight-700">Features</span>
                          </th>
                          <th class="text-center bg-transparent" scope="col">Bravo Pack</th>
                          <th class="text-center bg-transparent" scope="col">Alpha Pack</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td class="px-0">IMAP/POP Support</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                        </tr>
                        <tr>
                          <td class="px-0">Email Forwarding</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                        </tr>
                        <tr>
                          <td class="px-0">Active Sync</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                        </tr>
                        <tr>
                          <td class="px-0">Multiple domain hosting</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center">
                            <span class="text-sm text-light">Limited to 1 domain only</span>
                          </td>
                        </tr>
                        <tr>
                          <td class="px-0">Additional storage upgrade</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                        </tr>
                        <tr>
                          <td class="px-0">30MB Attachment Limit</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center">-</td>
                        </tr>
                        <tr>
                          <td class="px-0">Password protected / Expiry links</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center">-</td>
                        </tr>
                        <tr>
                          <td class="px-0">Unlimited Custom Apps</td>
                          <td class="text-center"><i class="fas fa-check text-success"></i>
                          </td>
                          <td class="text-center">-</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
        </div>
    </div>
    
    <!--App Footer start here-->
    @include('layouts.auth.footer')
    <!--App Footer End here-->

    <!--App Footer start here-->
    @include('layouts.auth.script')
    <!--App Footer End here-->

    @yield('page_js')
</body>
</html>
