@extends('layouts.app')
@section('pagetitle', ' | '.$pagetitle)

@section('page_css')
<link rel="stylesheet" href="{{ url('public/argon-dashboard/assets/vendor/select2/dist/css/select2.min.css') }}">
@endsection

@section('content')
<!-- Header -->
<div class="header bg-primary pb-6">
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-lg-6 col-7">
                    <h6 class="h2 text-white d-inline-block mb-0">Permissions Management</h6>
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                            <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                            @php
                            $total = count($breadcrumbs);
                            $active = $total-1;
                            @endphp
                            @foreach ($breadcrumbs as $key => $item)
                                @if ($key == $active)
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @else
                                    <li class="breadcrumb-item">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @endif
                            @endforeach
                        </ol>
                    </nav>
                </div>
                <div class="col-lg-6 col-5 text-right">
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--6">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header">
                    <h3 class="mb-0"></h3>
                    <p class="text-sm mb-0"></p>
                </div>
                <div class="card-body">
                    @if (count($errors) > 0)
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            @foreach ($errors->all() as $error)
                                <span class="alert-icon"><i class="ni ni-fat-remove"></i></span>
                                <span class="alert-text"><strong>Error! </strong>{{ $error }}</span>
                            @endforeach
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                    @endif
                    <form class="needs-validation @if (count($errors) > 0) was-validated @endif" action="{{url('/permissions-management/permission-update/'.$permission->id)}}" enctype="multipart/form-data" method="POST" novalidate>
                        @csrf
                        <div class="form-row">
                            <div class="col-md-6 mb-3">
                                <label class="form-control-label" for="name">Permission</label>
                                <input type="text" class="form-control" id="name"  name="name" placeholder="Edit Permission identifier" value="{{$permission->name}}" required>
                                @error('name')
                                    <div class="invalid-feedback">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>
                            @if ($parent)
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="module">Modules</label>
                                    <select class="form-control" data-toggle="select" name="module" id="module" required>
                                        <option></option>
                                        @foreach ($permissions as $permission)
                                            @if ($parent->id == $permission->id)
                                                <option value="{{$permission->id}}" selected>{{$permission->name}}</option>
                                            @else
                                                <option value="{{$permission->id}}">{{$permission->name}}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                    @error('module')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            @endif
                        </div>
                        <button class="btn btn-primary" type="submit">Submit form</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('page_js')
<script src="{{ url('public/argon-dashboard/assets/vendor/select2/dist/js/select2.min.js') }}"></script>
<script>
    $( document ).ready(function() {

        //assigne Modules dropdown place holder 
        $("#module").select2({
            placeholder: "Select a Module",
            allowClear: true
        });
    });
</script>
@endsection