@extends('layouts.app')
@section('pagetitle', ' | '.$pagetitle)

@section('page_css')
<link rel="stylesheet" href="{{ url('public/argon-dashboard/assets/vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css') }}">
<link rel="stylesheet" href="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css') }}">
<link rel="stylesheet" href="{{ url('public/argon-dashboard/assets/vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css') }}">
@endsection

@section('content')
<!-- Header -->
<div class="header bg-primary pb-6">
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-lg-6 col-7">
                    <h6 class="h2 text-white d-inline-block mb-0">Roles Management</h6>
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                            <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                            @php
                            $total = count($breadcrumbs);
                            $active = $total-1;
                            @endphp
                            @foreach ($breadcrumbs as $key => $item)
                                @if ($key == $active)
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @else
                                    <li class="breadcrumb-item">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @endif
                            @endforeach
                        </ol>
                    </nav>
                </div>
                <div class="col-lg-6 col-5 text-right">
                    @if(Auth::user()->hasPermissionTo('role-create'))
                        <a href="{{url('/roles-management/role-create')}}" class="btn btn-sm btn-neutral">
                            <i class="ni ni-fat-add"></i>
                            Add
                        </a>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--6">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header">
                    <h3 class="mb-0"></h3>
                    <p class="text-sm mb-0"></p>
                </div>
                <div class="table-responsive py-4">
                    <table class="table table-flush" id="datatable-roles">
                        <thead class="thead-light">
                            <tr>
                                <th>Id</th>
                                <th>Name</th>
                                <th>Guard Name</th>
                                <th>Created At</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Id</th>
                                <th>Name</th>
                                <th>Guard Name</th>
                                <th>Created At</th>
                                <th>Actions</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('page_js')
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.flash.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ url('public/argon-dashboard/assets/vendor/datatables.net-select/js/dataTables.select.min.js') }}"></script>

<script>
    $(function() {
        var table = $('#datatable-roles').DataTable({
            processing: true,
            serverSide: true,
            stateSave: true,
            responsive: true,
            autoWidth:false,
            //pagingType: "full_numbers",
            ajax: '{!! url('/roles-management/role-ajax-data') !!}',
            columns: [
                { data: 'id', name: 'id' },
                { data: 'name', name: 'name' },
                { data: 'guard_name', name: 'guard_name' },
                { data: 'created_at', name: 'created_at' },
                { data: 'actions', name: 'actions', searchable: false }
            ]
        });
    });
</script>
@endsection