@extends('layouts.app')
@section('pagetitle', ' | '.$pagetitle)

@section('page_css')
<link rel="stylesheet" href="{{ url('public/argon-dashboard/assets/vendor/select2/dist/css/select2.min.css') }}">
@endsection

@section('content')
<!-- Header -->
<div class="header bg-primary pb-6">
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-lg-6 col-7">
                    <h6 class="h2 text-white d-inline-block mb-0">Store Filters Settings</h6>
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                            <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                            @php
                            $total = count($breadcrumbs);
                            $active = $total-1;
                            @endphp
                            @foreach ($breadcrumbs as $key => $item)
                                @if ($key == $active)
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @else
                                    <li class="breadcrumb-item">
                                        <a href="{{ url($urls[$key]) }}">{{$item}}</a>
                                    </li>
                                @endif
                            @endforeach
                        </ol>
                    </nav>
                </div>
                <div class="col-lg-6 col-5 text-right">
                    {{-- @if(Auth::user()->hasPermissionTo('role-create'))
                        <a href="{{url('/roles-management/role-create')}}" class="btn btn-sm btn-neutral">
                            <i class="ni ni-fat-add"></i>
                            Add
                        </a>
                    @endif --}}
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--6">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header bg-gradient-red text-white">
                    <h3 class="mb-0">How To Apply Filters:</h3>
                    <p class="text-sm mb-0">Create filters here and when you sync products into your store these filters applied.</p>
                </div>
                <div class="card-body">
                    @if (count($errors) > 0)
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            @foreach ($errors->all() as $error)
                                <span class="alert-icon"><i class="ni ni-fat-remove"></i></span>
                                <span class="alert-text"><strong>Error! </strong>{{ $error }}</span>
                            @endforeach
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                    @endif
                    @php
                        $user = Auth::user();
                    @endphp
                    <form class="needs-validation @if (count($errors) > 0) was-validated @endif" action="{{ url('/store-filters/store-filter-store') }}" method="POST" enctype="multipart/form-data" novalidate>
                        @csrf
                        @if (isset($user->filters) && count($user->filters) > 0)
                            <div class="form-row">
                                @foreach ($user->filters as $filter)
                                    <div class="col-md-6 mb-3">
                                        <label class="form-control-label" for="price_key">{{$filter->name}}</label>
                                        <input type="text" class="form-control"  name="filters[{{$filter->key}}]" value="{{$filter->value}}">
                                        @error('{{$filter->key}}')
                                            <div class="invalid-feedback">
                                                {{ $message }}
                                            </div>
                                        @enderror
                                    </div>
                                @endforeach
                            </div>
                        @else
                            <div class="form-row">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="price_key">Price Key</label>
                                    <input type="text" class="form-control"  name="filters[price_key]" placeholder="Enter Your Price Key">
                                    @error('price_key')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="quantity_key">Quantity Key</label>
                                    <input type="text" class="form-control"  name="filters[quantity_key]" placeholder="Enter Your Quantity Key">
                                    @error('quantity_key')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="less_price">Less Than Price</label>
                                    <input type="text" class="form-control"  name="filters[less_price]" placeholder="Enter Price Less Than Filter">
                                    @error('less_price')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="greater_price">Greater Than Price</label>
                                    <input type="text" class="form-control"  name="filters[greater_price]" placeholder="Enter Price Greater Than Filter">
                                    @error('greater_price')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="gender">Gender</label>
                                    <select class="form-control" data-toggle="select" name="filters[gender_key]" id="gender">
                                        <option></option>
                                        <option value="Mens">Mens</option>
                                        <option value="Ladies">Ladies</option>
                                    </select>
                                    @error('gender_key')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="carat">Carat</label>
                                    <input type="text" class="form-control"  name="filters[carat_key]" placeholder="Example: 13 1/2">
                                    @error('carat_key')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="metal_weight">Metal Weight</label>
                                    <input type="text" class="form-control"  name="filters[metal_weight]" placeholder="Example: 10K">
                                    @error('metal_weight')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="diamond_shape">Diamond Shape</label>
                                    <input type="text" class="form-control"  name="filters[diamond_shape]" placeholder="Example: Round">
                                    @error('diamond_shape')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="metal">Metal</label>
                                    <input type="text" class="form-control"  name="filters[metal_key]" placeholder="Example: Yellow Gold">
                                    @error('metal_key')
                                        <div class="invalid-feedback">
                                            {{ $message }}
                                        </div>
                                    @enderror
                                </div>
                            </div>
                        @endif
                        <button class="btn btn-primary" type="submit">Submit form</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header bg-gradient-info text-white">
                    <h3 class="mb-0">How To Apply Category Filters:</h3>
                    <p class="text-sm mb-0">Create filters here and when you sync products into your store these filters applied.</p>
                </div>
                <div class="card-body">
                    <form class="needs-validation @if (count($errors) > 0) was-validated @endif" action="{{ url('/categories-filter/filter-store') }}" method="POST" enctype="multipart/form-data" novalidate>
                        @csrf
                        @php
                            $published = 0;
                        @endphp
                        <div class="form-row">
                            <label class="col-sm-2 col-sm-2 control-label">Category Filter</label>
                            <div class="col-sm-5">
                                <select name="cat_filter[]" id="cat_filter" class="form-control select2_multiple" multiple="multiple">
                                    @if ($getCategories && isset($getCategories->categories))
                                        @foreach ($getCategories->categories as $category)
                                            @if ($category->published == true)
                                                @php
                                                    $published++;
                                                @endphp
                                                @if ($category->image)
                                                    <option value="{{$category->id.','.str_replace(',', ' ', $category->name).','.$category->published.','.$category->parent_category_id.','.$category->description.','.$category->image->src}}">{{$category->name}}</option>
                                                @else
                                                    <option value="{{$category->id.','.str_replace(',', ' ', $category->name).','.$category->published.','.$category->parent_category_id.','.$category->description.','}}">{{$category->name}}</option>
                                                @endif
                                            @endif
                                        @endforeach
                                    @endif
                                </select>
                                <input type="checkbox" id="checkbox" >Select All
                            </div>
                        </div>
                        <div class="form-row mt-4">
                            <label class="col-md-6 col-sm-6 control-label">Now Total Published Categories: <strong>{{$published}}</strong></label>
                        </div>
                        <button class="btn btn-primary mt-3" type="submit">Update Filter</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Table -->
@endsection
@section('page_js')
<script src="{{ url('public/argon-dashboard/assets/vendor/select2/dist/js/select2.min.js') }}"></script>
<script>
    $( document ).ready(function() {
        //assigne Parent Category place holder 
        $("#gender").select2({
            placeholder: "Select a Gender Filter",
            allowClear: true
        });

        $(".select2_multiple").select2({
            placeholder: "Select Categories For Filter",
            allowClear: true,
            multiple: true,
        });
    });
    $("#checkbox").click(function()
    {
        if($("#checkbox").is(':checked'))
        {
            $("select > option").prop("selected","selected");
            $('#cat_filter').trigger('change');
        }
        else
        {
            $("select > option").removeAttr("selected");
            $('#cat_filter').trigger('change');
        }
    });
</script>
@endsection