<?php $__env->startSection('pagetitle', ' | '.$pagetitle); ?>

<?php $__env->startSection('page_css'); ?>
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/select2/dist/css/select2.min.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Header -->
<div class="header bg-primary pb-6">
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-lg-6 col-7">
                    <h6 class="h2 text-white d-inline-block mb-0">Products</h6>
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                            <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                            <?php
                            $total = count($breadcrumbs);
                            $active = $total-1;
                            ?>
                            <?php $__currentLoopData = $breadcrumbs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($key == $active): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <a href="<?php echo e(url($urls[$key])); ?>"><?php echo e($item); ?></a>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(url($urls[$key])); ?>"><?php echo e($item); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ol>
                    </nav>
                </div>
                <div class="col-lg-6 col-5 text-right">
                    <?php if(Auth::user()->hasPermissionTo('product-upload')): ?>
                        <a href="<?php echo e(url('/products/product-upload')); ?>" class="btn btn-sm btn-neutral">
                            <i class="fas fa-upload"></i>
                            Upload
                        </a>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('product-create')): ?>
                        <a href="#" class="btn btn-sm btn-success" id="sync_btn" onclick="productsSync()">
                            <i class="ni ni-fat-add"></i>
                            Sync
                        </a>
                        <a href="#" class="btn btn-sm btn-neutral" id="loader_btn" style="display: none">
                            <img src="<?php echo e(url('public/argon-dashboard/assets/img/input-spinner.gif')); ?>" alt="">
                        </a>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('product-update')): ?>
                        <a href="#" class="btn btn-sm btn-neutral" id="update_btn" onclick="productsUpdate()">
                            <i class="fa fa-sync"></i>
                            Update
                        </a>
                        <a href="#" class="btn btn-sm btn-neutral" id="update_loader" style="display: none">
                            <img src="<?php echo e(url('public/argon-dashboard/assets/img/input-spinner.gif')); ?>" alt="">
                        </a>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('product-delete')): ?>
                        <a href="#" class="btn btn-sm btn-danger" id="delete_btn" onclick="productsDelete()">
                            <i class="fa fa-trash"></i>
                            Delete
                        </a>
                        <a href="#" class="btn btn-sm btn-neutral" id="delete_loader" style="display: none">
                            <img src="<?php echo e(url('public/argon-dashboard/assets/img/input-spinner.gif')); ?>" alt="">
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--6">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header">
                    <h3 class="mb-0"></h3>
                    <p class="text-sm mb-0"></p>
                </div>
                <div class="table-responsive py-4">
                    <table class="table table-flush" id="datatable-products">
                        <thead class="thead-light">
                            <tr>
                                <th>Id</th>
                                <th>AV Id</th>
                                <th>WIX Id</th>
                                <th>Name</th>
                                <th>AV Price</th>
                                <th>WIX Price</th>
                                <th>SKU</th>
                                <th>Stock Quantity</th>
                                <th>Image</th>
                                <th>Updated At</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Id</th>
                                <th>AV Id</th>
                                <th>WIX Id</th>
                                <th>Name</th>
                                <th>AV Price</th>
                                <th>WIX Price</th>
                                <th>SKU</th>
                                <th>Stock Quantity</th>
                                <th>Image</th>
                                <th>Updated At</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.html5.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.flash.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.print.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-buttons/js/buttons.colVis.min.js')); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/datatables.net-select/js/dataTables.select.min.js')); ?>"></script>
<script src="<?php echo e(url("public/argon-dashboard/assets/vendor/jszip/jszip.min.js")); ?>"></script>
<script src="<?php echo e(url("public/argon-dashboard/assets/vendor/pdfmake/pdfmake.min.js")); ?>"></script>
<script src="<?php echo e(url("public/argon-dashboard/assets/vendor/pdfmake/vfs_fonts.js")); ?>"></script>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/select2/dist/js/select2.min.js')); ?>"></script>

<script>
    var table = $('#datatable-products');
    $(function() {
        var columns = [ 0,1,2,3,4,5,6,7,8,9 ];
        var userRole = '<?php echo e($userRole); ?>';
        table.DataTable({
            processing: true,
            serverSide: true,
            stateSave: true,
            responsive: true,
            autoWidth: false,
            lengthMenu: [[10, 25, 50, 75, 100, -1], [10, 25, 50, 75, 100, "All"]],
            //pagingType: "full_numbers",
            pageLength : 10,
            dom: 'Blfrtip',
            dom:"<'row'<'col-sm-12 col-md-4'l><'col-sm-12 col-md-4 mb-4 customDropDown'm><'col-sm-12 col-md-4'f>>" +
            "<'row'<'col-sm-12'tr>>" +
            "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            buttons: [
                {
                    extend: 'csvHtml5',
                    //className: 'btn btn-outline-primary',
                    text:      '<i class="fas fa-file-csv"></i>&nbsp; CSV',
                    title: 'Products-Export-CSV-'+getDateTime(),
                    action: newexportaction,
                    exportOptions : {
                        columns: columns
                    }
                },
                {
                    extend: 'excelHtml5',
                    text:      '<i class="fas fa-file-excel"></i>&nbsp; Excel',
                    title: 'Products-Export-Excel-'+getDateTime(),
                    action: newexportaction,
                    exportOptions : {
                        columns: columns,
                        modifier : {
                                        // DataTables core
                                        order : 'index',  // 'current', 'applied', 'index',  'original'
                                        page : 'all',      // 'all',    'current'
                                        search : 'applied'     // 'none',    'applied', 'removed'
                                    }
                    }
                },
                {
                    extend: 'pdfHtml5',
                    text:      '<i class="fas fa-file-pdf"></i>&nbsp; PDF',
                    title: 'Products-Export-PDF-'+getDateTime(),
                    orientation : 'landscape',
                    pageSize : 'LEGAL',
                    exportOptions: {
                                    columns: columns
                    }
                    //action: newexportaction
                },
                {
                    extend: 'copy',
                    text:      '<i class="fas fa-copy"></i>&nbsp; Copy',
                    title: 'Products-Export-Copy-'+getDateTime(),
                    exportOptions: {
                                    columns: columns
                    }
                },
                {
                    extend: 'print',
                    text:      '<i class="fas fa-print"></i>&nbsp; Print',
                    title: 'Products-Export-Print-'+getDateTime(),
                    exportOptions: {
                                    columns: columns
                    }
                },
                {
                    extend : 'colvis'
                }
            ],
            exportOptions: {
                    modifer: {
                                page: 'all'
                            }
            },
            ajax: {
                url: '<?php echo url('/products/product-ajax-data'); ?>',
                data: function (d) {
                    d.userId    =   $('#userId').val();
                },
            },
            columns: [
                { data: 'id', name: 'id' },
                { data: 'av_id', name: 'av_id' },
                { data: 'wix_id', name: 'wix_id' },
                { data: 'name', name: 'name' },
                { data: 'av_price', name: 'av_price' },
                { data: 'wix_price', name: 'wix_price' },
                { data: 'sku', name: 'sku' },
                { data: 'stock_quantity', name: 'stock_quantity' },
                { data: 'image', name: 'image', searchable: false},
                { data: 'updated_at', name: 'updated_at' }
            ]
        });

        if(userRole == 'Admin')
        {
            var userHtml = '<?php echo $userHtml; ?>';
            $(userHtml).appendTo("#datatable-products_wrapper .customDropDown");
        }

        $('.buttons-excel, .buttons-csv,.buttons-pdf,.buttons-copy,.buttons-print,.buttons-collection').each(function() {
            $(this).removeClass('btn-secondary').addClass('btn-outline-primary')
        });

        //assigne user dropdown place holder 
        $("#userId").select2({
            placeholder: "Select a user for filter",
            allowClear: true
        });

    });

    function getUserData()
    {
        table.DataTable().ajax.reload();
    }

    function getDateTime() 
    {
        var now     = new Date();
        var year    = now.getFullYear();
        var month   = now.getMonth()+1;
        var day     = now.getDate();
        var hour    = now.getHours();
        var minute  = now.getMinutes();
        var second  = now.getSeconds();
        if(month.toString().length == 1) {
            month = '0'+month;
        }
        if(day.toString().length == 1) {
            day = '0'+day;
        }
        if(hour.toString().length == 1) {
            hour = '0'+hour;
        }
        if(minute.toString().length == 1) {
            minute = '0'+minute;
        }
        if(second.toString().length == 1) {
            second = '0'+second;
        }
        var dateTime = year+'-'+month+'-'+day+' '+hour+':'+minute+':'+second;
        return dateTime;
    }

    function newexportaction(e, dt, button, config) 
    {
        var self = this;
        var oldStart = dt.settings()[0]._iDisplayStart;
        dt.one('preXhr', function (e, s, data) {
           // Just this once, load all data from the server...
            data.start = 0;
            data.length = 2147483647;
            dt.one('preDraw', function (e, settings) 
            {
               // Call the original action function
                if (button[0].className.indexOf('buttons-copy') >= 0) 
                {
                    $.fn.dataTable.ext.buttons.copyHtml5.action.call(self, e, dt, button, config);
                } 
                else if (button[0].className.indexOf('buttons-excel') >= 0) 
                {
                    $.fn.dataTable.ext.buttons.excelHtml5.available(dt, config) ?
                        $.fn.dataTable.ext.buttons.excelHtml5.action.call(self, e, dt, button, config) :
                        $.fn.dataTable.ext.buttons.excelFlash.action.call(self, e, dt, button, config);
                } 
                else if (button[0].className.indexOf('buttons-csv') >= 0) 
                {
                    $.fn.dataTable.ext.buttons.csvHtml5.available(dt, config) ?
                        $.fn.dataTable.ext.buttons.csvHtml5.action.call(self, e, dt, button, config) :
                        $.fn.dataTable.ext.buttons.csvFlash.action.call(self, e, dt, button, config);
                } 
                else if (button[0].className.indexOf('buttons-pdf') >= 0) 
                {
                    $.fn.dataTable.ext.buttons.pdfHtml5.available(dt, config) ?
                        $.fn.dataTable.ext.buttons.pdfHtml5.action.call(self, e, dt, button, config) :
                        $.fn.dataTable.ext.buttons.pdfFlash.action.call(self, e, dt, button, config);
                } 
                else if (button[0].className.indexOf('buttons-print') >= 0) 
                {
                    $.fn.dataTable.ext.buttons.print.action(e, dt, button, config);
                }
                dt.one('preXhr', function (e, s, data) 
                {
                    // DataTables thinks the first item displayed is index 0, but we're not drawing that.
                    // Set the property to what it was before exporting.
                    settings._iDisplayStart = oldStart;
                    data.start = oldStart;
                });
                   // Reload the grid with the original page. Otherwise, API functions like table.cell(this) don't work properly.
                setTimeout(dt.ajax.reload, 0);
                   // Prevent rendering of the full data to the DOM
                return false;
            });
        });
       // Requery the server with the new one-time export settings
        dt.ajax.reload();
    }

    function productsSync()
    {
        var url = "<?php echo url('/products/product-create'); ?>";
        $('#sync_btn').hide();
        $('#loader_btn').show();
        $.ajax({
                type:'GET',
                url:url,
                data: { "userId" : $('#userId').val() },
                dataType:'json',
                success:function(data){
                    if(data.status == 'true')
                    {
                        $('#loader_btn').hide();
                        $('#sync_btn').show();
                        alert(data.message);
                        window.location.reload();
                    };
                },
                error:function(data){
                    if(data.status == 'false')
                    {
                        $('#loader_btn').hide();
                        $('#sync_btn').show();
                        alert(data.message);
                        window.location.reload();
                    }
                }
            });
    }

    function productsUpdate()
    {
        var url = "<?php echo url('/products/product-update'); ?>";
        $('#update_btn').hide();
        $('#update_loader').show();
        $.ajax({
                type:'GET',
                url:url,
                data: { "userId" : $('#userId').val() },
                dataType:'json',
                success:function(data){
                    if(data.status == 'true')
                    {
                        $('#update_loader').hide();
                        $('#update_btn').show();
                        alert(data.message);
                        window.location.reload();
                    };
                },
                error:function(data){
                    if(data.status == 'false')
                    {
                        $('#update_loader').hide();
                        $('#update_btn').show();
                        alert(data.message);
                        window.location.reload();
                    }
                }
            });
    }

    function productsDelete()
    {
        var url = "<?php echo url('/products/product-delete'); ?>";
        $('#delete_btn').hide();
        $('#delete_loader').show();
        $.ajax({
                type:'GET',
                url:url,
                data: { "userId" : $('#userId').val() },
                dataType:'json',
                success:function(data){
                    if(data.status == 'true')
                    {
                        $('#delete_loader').hide();
                        $('#delete_btn').show();
                        alert(data.message);
                        window.location.reload();
                    };
                },
                error:function(data){
                    if(data.status == 'false')
                    {
                        $('#delete_loader').hide();
                        $('#delete_btn').show();
                        alert(data.message);
                        window.location.reload();
                    }
                }
            });
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jewelerycart/public_html/wix-app/resources/views/products/index.blade.php ENDPATH**/ ?>