<!-- Sidenav -->
<nav class="sidenav navbar navbar-vertical  fixed-left  navbar-expand-xs navbar-light bg-white" id="sidenav-main">
    <div class="scrollbar-inner">
        <!-- Brand -->
        <div class="sidenav-header  d-flex  align-items-center">
            <a class="navbar-brand" href="<?php echo e(url('/home')); ?>">
                <?php $admin_logo_img = get_setting('admin.logo', ''); ?>
                <?php if($admin_logo_img == ''): ?>
                    <img src="<?php echo e(asset('public/argon-dashboard/assets/img/brand/blue.png')); ?>" class="navbar-brand-img" alt="Logo Icon">
                <?php else: ?>
                    <img src="<?php echo e(asset('public/storage/'.$admin_logo_img)); ?>" class="navbar-brand-img" alt="Logo Icon">
                <?php endif; ?>
            </a>
            <div class=" ml-auto ">
                <!-- Sidenav toggler -->
                <div class="sidenav-toggler d-none d-xl-block" data-action="sidenav-unpin" data-target="#sidenav-main">
                    <div class="sidenav-toggler-inner">
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="navbar-inner">
            <!-- Collapse -->
            <div class="collapse navbar-collapse" id="sidenav-collapse-main">
                <!-- Nav items -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(\Request::segment(1) == 'home' ? "active" : ''); ?>" href="<?php echo e(url('/home')); ?>">
                            <i class="ni ni-shop text-primary"></i>
                            <span class="nav-link-text"> Dashboards </span>
                        </a>
                    </li>
                    <?php if(Auth::user()->hasPermissionTo('permission-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'permissions-management' ? "active" : ''); ?>" href="<?php echo e(url('/permissions-management')); ?>">
                                <i class="ni ni-key-25 text-green"></i>
                                <span class="nav-link-text"> Permissions Management </span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('role-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'roles-management' ? "active" : ''); ?>" href="<?php echo e(url('/roles-management')); ?>">
                                <i class="ni ni-lock-circle-open text-orange"></i>
                                <span class="nav-link-text"> Roles Management </span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('user-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'users-management' ? "active" : ''); ?>" href="<?php echo e(url('/users-management')); ?>">
                                <i class="ni ni-single-02 text-info"></i>
                                <span class="nav-link-text"> Users Management </span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('filter-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'categories-filter' ? "active" : ''); ?>" href="<?php echo e(url('/categories-filter')); ?>">
                                <i class="ni ni-settings-gear-65 text-red"></i>
                                <span class="nav-link-text"> Categories Filter</span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('category-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'categories' ? "active" : ''); ?>" href="<?php echo e(url('/categories')); ?>">
                                <i class="ni ni-tag text-default"></i>
                                <span class="nav-link-text"> Categories </span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('product-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(\Request::segment(1) == 'products' ? "active" : ''); ?>" href="<?php echo e(url('/products')); ?>">
                                <i class="ni ni-cart text-pink"></i>
                                <span class="nav-link-text"> Products </span>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(Auth::user()->hasPermissionTo('setting-list')): ?>
                        <li class="nav-item">
                            <a class="nav-link active collapsed" href="#navbar-settings" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="navbar-settings">
                                <i class="ni ni-settings text-primary"></i>
                                <span class="nav-link-text"> Settings </span>
                            </a>
                            <div class="collapse" id="navbar-settings">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a class="nav-link <?php echo e(\Request::segment(1) == 'settings' ? "active" : ''); ?>" href="<?php echo e(url('/settings')); ?>">
                                            <span class="sidenav-mini-icon"> G </span>
                                            <span class="sidenav-normal"> Genral Settings </span>
                                        </a>
                                    </li>
                                    <?php if(Auth::user()->hasPermissionTo('social-setting-list')): ?>
                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(\Request::segment(1) == 'social-settings' ? "active" : ''); ?>" href="<?php echo e(url('/social-settings')); ?>">
                                                <span class="sidenav-mini-icon"> S </span>
                                                <span class="sidenav-normal"> Social Settings </span>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </li>
                    <?php endif; ?>
                </ul>
                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                
                <!-- Navigation -->
                <ul class="navbar-nav mb-md-3">
                    
                </ul>
            </div>
        </div>
    </div>
</nav><?php /**PATH /home/jewelerycart/public_html/wix-app/resources/views/layouts/sidenav.blade.php ENDPATH**/ ?>