<?php $__env->startSection('pagetitle', ' | '.$pagetitle); ?>

<?php $__env->startSection('page_css'); ?>
<link rel="stylesheet" href="<?php echo e(url('public/argon-dashboard/assets/vendor/select2/dist/css/select2.min.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Header -->
<div class="header bg-primary pb-6">
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-lg-6 col-7">
                    <h6 class="h2 text-white d-inline-block mb-0">Settings Management</h6>
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                            <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                            <?php
                            $total = count($breadcrumbs);
                            $active = $total-1;
                            ?>
                            <?php $__currentLoopData = $breadcrumbs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($key == $active): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <a href="<?php echo e(url($urls[$key])); ?>"><?php echo e($item); ?></a>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(url($urls[$key])); ?>"><?php echo e($item); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ol>
                    </nav>
                </div>
                <div class="col-lg-6 col-5 text-right">
                    
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--6">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header bg-gradient-red text-white">
                    <h3 class="mb-0">How To Use:</h3>
                    <p class="text-sm mb-0">You can get the value of each setting anywhere on site by calling  <code> get_setting('group.key')</code> </p>
                </div>
                <div class="card-body">
                    <?php if(count($errors) > 0): ?>
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <span class="alert-icon"><i class="ni ni-fat-remove"></i></span>
                                <span class="alert-text"><strong>Error! </strong><?php echo e($error); ?></span>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                    <?php endif; ?>
                    <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <form class="needs-validation <?php if(count($errors) > 0): ?> was-validated <?php endif; ?>" action="<?php echo e(url('/settings/setting-update', $setting->id)); ?>" id="#form_<?php echo e($setting->id); ?>" method="POST" enctype="multipart/form-data" novalidate>
                            <?php echo csrf_field(); ?>
                            <div class="form-row mb-3">
                                <div class="col-md-6 mb-3">
                                    <label class="form-control-label" for="value"><?php echo e($setting->name); ?></label><code> get_setting('<?php echo e($setting->key); ?>')</code>
                                    <?php if($setting->type == 'text'): ?>
                                        <input type="text" class="form-control"  name="value" placeholder="<?php echo e($setting->name); ?>" value="<?php echo e($setting->value); ?>">
                                        <?php $__errorArgs = ['value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <?php elseif($setting->type == 'image'): ?>
                                        <img class="avatar avatar-sm rounded-circle" src="<?php echo e(asset('public/storage/'.$setting->value)); ?>" alt="">
                                        <input type="file" class="form-control"  name="image">
                                        <?php $__errorArgs = ['value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-3 mb-3">
                                    <label class="form-control-label" for="group">Group</label>
                                    <select class="form-control group" data-toggle="select" name="group" required>
                                        <option value="admin" <?php if($setting->group == 'Admin'): ?> selected <?php endif; ?>>Admin</option>
                                        <option value="site" <?php if($setting->group == 'Site'): ?> selected <?php endif; ?>>Site</option>
                                    </select>
                                    <?php $__errorArgs = ['group'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="invalid-feedback d-block">
                                            <?php echo e($message); ?>

                                        </div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-3 mt-4">
                                    <div class='btn-toolbar'>
                                        <?php if(Auth::user()->hasPermissionTo('setting-edit')): ?>
                                            <button type="submit" class="btn btn-outline-primary btn-icon-only" data-toggle="tooltip" title="Save"><i class="fa fa-edit"></i></button>
                                        <?php endif; ?>
                                        <?php if(Auth::user()->hasPermissionTo('setting-delete')): ?>
                                            <a href="<?php echo e(url('/settings/setting-delete', $setting->id)); ?>" class="btn btn-outline-danger btn-icon-only" data-toggle="tooltip" title="Delete"><i class="fa fa-trash"></i></a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </form>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- Table -->
    <?php if(Auth::user()->hasPermissionTo('setting-create')): ?>
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header bg-gradient-success">
                    <h3 class="mb-0">New Settings</h3>
                    <p class="text-sm mb-0"></p>
                </div>
                <div class="card-body">
                    <?php if(count($errors) > 0): ?>
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <span class="alert-icon"><i class="ni ni-fat-remove"></i></span>
                                <span class="alert-text"><strong>Error! </strong><?php echo e($error); ?></span>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                    <?php endif; ?>
                    <form class="needs-validation <?php if(count($errors) > 0): ?> was-validated <?php endif; ?>" action="<?php echo e(url('/settings/setting-store')); ?>" enctype="multipart/form-data" method="POST" novalidate>
                        <?php echo csrf_field(); ?>
                        <div class="form-row">
                            <div class="col-md-3 mb-3">
                                <label class="form-control-label" for="name">Name</label>
                                <input type="text" class="form-control" id="name"  name="name" placeholder="Setting name ex: Admin Title" required>
                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label class="form-control-label" for="key">Key</label>
                                <input type="text" class="form-control" id="key"  name="key" placeholder="Setting key ex: admin_title" required>
                                <?php $__errorArgs = ['key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label class="form-control-label" for="type">Type</label>
                                <select class="form-control" data-toggle="select" name="type" id="type" required>
                                    <option></option>
                                    <option value="text">Text Box</option>
                                    <option value="image">File</option>
                                </select>
                                <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback d-block">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label class="form-control-label" for="group">Group</label>
                                <select class="form-control" data-toggle="select" name="group" id="group" required>
                                    <option></option>
                                    <option value="admin">Admin</option>
                                    <option value="site">Site</option>
                                </select>
                                <?php $__errorArgs = ['group'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback d-block">
                                        <?php echo e($message); ?>

                                    </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <button class="btn btn-primary" type="submit">Add New Setting</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<script src="<?php echo e(url('public/argon-dashboard/assets/vendor/select2/dist/js/select2.min.js')); ?>"></script>
<script>
    $( document ).ready(function() {

        //assigne Type dropdown place holder 
        $("#type").select2({
            placeholder: "Select a Type",
            allowClear: true
        });

        //assigne Group dropdown place holder 
        $("#group").select2({
            placeholder: "Select a Group",
            allowClear: true
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jewelerycart/public_html/wix-app/resources/views/settings/index.blade.php ENDPATH**/ ?>